

class Particle {
  
  String name;
  int currentOpacity;
  int startSize;
  int r;
  int g;
  int b;
  int myX;
  int myY;

  // One constructor
  Particle(String tempName, int tempStartSize, int tempr, int tempg, int tempb) {
    name = tempName;
    startSize=tempStartSize;
    
    r = tempr;
    g = tempg;
    b = tempb;
    myX = int(random(-height/2+30, height/2-30));
    myY = int(random(-height/2+30, height/2-30));
    currentOpacity = 100;
   
  }//end constructor

  void run() {
    update();
    render();
  }

  // Method to update location
  void update() {
    currentOpacity = currentOpacity-1;
  }

  // Method to display
  void render() {
    
    //noStroke();
    //fill(r, g, b, currentOpacity);
    
    strokeWeight(3);
    stroke(r, g, b, currentOpacity);
    fill(0, 0);
    
    //ellipse(myX, myY, startSize, startSize);
    
    
    //myY = myY + 1;
    startSize= constrain(startSize-1, 0, 100); 
    
    
    //try this
    pushMatrix();
    translate(width/2,height/2);
    
    rotate(radians(currentOpacity));
    ellipse(myX, myY, startSize, startSize);

    popMatrix();
    
    
    
 
  }
  
  // Is the particle still useful?
  boolean dead() {
    if (currentOpacity <= 0) {
      return true;
    } else {
      return false;
    }
  }
}


