
class ParticleSystem {

  ArrayList particles;    // An arraylist for all the particles
  

  ParticleSystem() {  ///string, start size, color rgb
    particles = new ArrayList();              // Initialize the arraylist
  }

  void run() {  
    // Cycle through the ArrayList backwards b/c we are deleting
    for (int i = particles.size()-1; i >= 0; i--) {
      Particle p = (Particle) particles.get(i);
      p.run();
      if (p.dead()) {
        particles.remove(i);
      }
    }
  }

  void addParticle(String tempName, int tempStartSize, int tempr, int tempg, int tempb) {
    particles.add(new Particle(tempName, tempStartSize, tempr, tempg, tempb));    
  }

  // A method to test if the particle system still has particles
  boolean dead() {
    if (particles.isEmpty()) {
      return true;
    } else {
      return false;
    }
  }

}



